Subject: bug#50955: 28.0.50; info-look loads slowly due to python info lookup

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 03 Oct 2021 10:54:57 +0200

Eli Zaretskii <[email-masked]> writes:

> Or maybe we could remove the directories where packages are installed
> from Info-directory-list, when doing that search?  With package.el, we
> could record in some variable the list of directories we add to
> Info-directory-list; maybe something similar is possible with
> 'straight' as well?
>
> Lars, any other ideas?

I think perhaps we should revert 711eb40b9b on the emacs-28 branch, and
then extend info-look on master to add new functionality to allow
postponing the computation of stuff until run-time, so we only compute
the paths for the package that requires it.  That is, if we're looking
for python-mode info, then compute that when the user asks for it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no